local utils = require("utils")

data.raw.technology["oil-gathering"].hidden = true
data.raw.technology["oil-processing"].hidden = true

utils.set_prerequisites("landfill", nil)
utils.set_prerequisites("steel-processing", {"steam-power"})
utils.set_prerequisites("agriculture", {"landfill", "steel-processing"})
utils.set_prerequisites("plastics", {"bioflux-processing", "logistic-science-pack"})
utils.set_prerequisites("sulfur-processing", {"bioflux-processing", "logistic-science-pack"})
utils.set_prerequisites("flammables", {"bioflux-processing", "logistic-science-pack"})
utils.set_prerequisites("lubricant", {"bioflux-processing", "chemical-science-pack"})

utils.add_prerequisites("military-science-pack", {"sulfur-processing"})
utils.add_prerequisites("carbon-fiber", {"chemical-science-pack"})
utils.add_prerequisites("advanced-asteroid-processing", {"space-science-pack"})
utils.add_prerequisites("transport-belt-capacity-1", {"space-science-pack"})
utils.add_prerequisites("heating-tower", {"concrete"})
utils.add_prerequisites("planet-discovery-vulcanus", {"advanced-oil-processing"})
utils.add_prerequisites("planet-discovery-fulgora", {"advanced-oil-processing"})

utils.set_recipes("bioflux-processing", {})

utils.add_recipes("plastics", {"bioplastic"})
utils.add_recipes("sulfur-processing", {"biosulfur", "coal-synthesis"})
utils.add_recipes("lubricant", {"biolubricant"})
utils.add_recipes("rocket-fuel", {"rocket-fuel-from-jelly"})
utils.add_recipes("military-science-pack", {"grenade"})
utils.add_recipes("planet-discovery-nauvis", {"pumpjack", "oil-refinery", "basic-oil-processing", "advanced-oil-processing"})
utils.add_recipes("planet-discovery-vulcanus", {"pumpjack"})
utils.add_recipes("advanced-oil-processing", {"solid-fuel-from-petroleum-gas"})

utils.insert_recipe("sulfur-processing", "chemical-plant", 1)
utils.insert_recipe("calcite-processing", "oil-refinery", 1)

utils.remove_recipes("rocket-turret", {"coal-synthesis"})
utils.remove_recipes("military-2", {"grenade"})
utils.remove_recipes("advanced-oil-processing", {"advanced-oil-processing"})

utils.remove_packs("carbon-fiber", {"space-science-pack"})
utils.remove_packs("toolbelt-equipment", {"space-science-pack"})
utils.remove_packs("stack-inserter", {"space-science-pack"})
utils.remove_packs("rocket-turret", {"space-science-pack"})

utils.set_trigger("steam-power", {type = "mine-entity", entity = "iron-stromatolite"})
utils.set_trigger("electronics", {type = "mine-entity", entity = "copper-stromatolite"})
utils.set_trigger("landfill", {type = "mine-entity", entity = "stone"})
utils.set_trigger("steel-processing", {type = "craft-item", item = "iron-plate", count = 5})
utils.set_trigger("agriculture", {type = "craft-item", item = "steel-plate", count = 10})

utils.set_unit("heating-tower", {
    time = 30,
    ingredients = {
        {"automation-science-pack", 1},
        {"logistic-science-pack", 1},
    },
    count = 500,
})