local utils = require("utils")

-- utils.set_prerequisites("tungsten-carbide", nil)
utils.set_prerequisites("steel-processing", nil)
utils.set_prerequisites("automation", {"electronics"})
utils.set_prerequisites("solar-energy", {"steel-processing", "electronics"})
utils.set_prerequisites("automation-science-pack", {"solar-energy"})
utils.set_prerequisites("steam-power", {"calcite-processing", "automation-science-pack"})
utils.set_prerequisites("oil-gathering", {"steel-processing", "electronics"})
utils.set_prerequisites("lubricant", {"oil-processing"})
utils.set_prerequisites("calcite-processing", {"oil-gathering"})
utils.set_prerequisites("sulfur-processing", {"oil-processing", "calcite-processing"})
utils.set_prerequisites("concrete", {"calcite-processing", "automation-2"})
utils.set_prerequisites("automation-2", {"automation", "automation-science-pack"})

utils.add_prerequisites("foundry", {"concrete", "lubricant"})
utils.add_prerequisites("big-mining-drill", {"advanced-circuit", "electric-engine"})
utils.add_prerequisites("flammables", {"logistic-science-pack"})
utils.add_prerequisites("sulfur-processing", {"logistic-science-pack"})
utils.add_prerequisites("plastics", {"logistic-science-pack"})
utils.add_prerequisites("research-speed-1", {"logistic-science-pack"})
utils.add_prerequisites("electric-engine", {"chemical-science-pack"})

utils.set_recipes("oil-processing", {"oil-refinery", "simple-coal-liquefaction", "heavy-oil-cracking", "light-oil-cracking"})
utils.set_recipes("advanced-oil-processing", {"solid-fuel-from-heavy-oil", "solid-fuel-from-light-oil", "solid-fuel-from-petroleum-gas"})

utils.add_recipes("solar-energy", {"medium-electric-pole", "iron-stick"})
utils.add_recipes("oil-gathering", {"pipe", "pipe-to-ground"})
utils.add_recipes("planet-discovery-nauvis", {"basic-oil-processing", "advanced-oil-processing"})
utils.add_recipes("low-density-structure", {"casting-low-density-structure"})

utils.insert_recipe("calcite-processing", "chemical-plant", 1)
utils.insert_recipe("foundry", "offshore-pump", 2)

utils.remove_recipes("electric-energy-distribution-1", {"medium-electric-pole"})
utils.remove_recipes("calcite-processing", {"simple-coal-liquefaction"})
utils.remove_recipes("concrete", {"iron-stick"})
utils.remove_recipes("railway", {"iron-stick"})
utils.remove_recipes("circuit-network", {"iron-stick"})
utils.remove_recipes("electric-energy-distribution-1", {"iron-stick"})
utils.remove_recipes("steam-power", {"offshore-pump", "pipe", "pipe-to-ground"})

utils.remove_packs("artillery", {"space-science-pack"})
utils.remove_packs("cliff-explosives", {"space-science-pack"})
utils.remove_packs("coal-liquefaction", {"space-science-pack"})
utils.remove_packs("turbo-transport-belt", {"space-science-pack"})

utils.set_trigger("automation", {type = "craft-item", item = "iron-plate", count = 50})
utils.set_trigger("steel-processing", {type = "craft-item", item = "iron-plate", count = 10})
utils.set_trigger("oil-gathering", {type = "craft-item", item = "steel-plate", count = 5})
utils.set_trigger("solar-energy", {type = "craft-item", item = "electronic-circuit", count = 15})
utils.set_trigger("oil-processing", {type = "mine-entity", entity = "sulfuric-acid-geyser"})
utils.set_trigger("lubricant", {type = "craft-fluid", fluid = "heavy-oil"})

utils.set_unit("steam-power", {
    count = 25,
    ingredients = {{"automation-science-pack", 1}},
    time = 10,
})
utils.set_unit("automation-2", {
    count = 15,
    ingredients = {{"automation-science-pack", 1}},
    time = 10,
})
utils.set_unit("concrete", {
    count = 25,
    ingredients = {{"automation-science-pack", 1}},
    time = 15,
})